import { expect } from "@wdio/globals";
import { SignInPage } from "./objects/accounts.js";
import { IndexPage } from "./objects/timelines.js";

describe("The index page", () => {
  it("jumps to the sign-in page if no account signed in", async () => {
    await IndexPage.open("");

    expect(await browser.waitUntil(SignInPage.urlIsTheCurrent));

    expect(await browser.waitUntil(SignInPage.serverUrlInput.isDisplayed));
  });
});
